Package weka.datagenerators

# Class RegressionGenerator

java.lang.Object
weka.datagenerators.DataGenerator
weka.datagenerators.RegressionGenerator

All Implemented Interfaces:
  `Serializable`, `OptionHandler`, `Randomizable`, `RevisionHandler`

Direct Known Subclasses:
  `MexicanHat`

public abstract class RegressionGenerator extends DataGenerator
Abstract class for data generators for regression classifiers.

Example usage as the main of a datagenerator called RandomGenerator:

     public static void main(String[] args) {
       try {
         DataGenerator.makeData(new RandomGenerator(), args);
       }
       catch (Exception e) {
         e.printStackTrace();
         System.err.println(e.getMessage());
       }
     }

Version:
  $Revision: 1.3 $
Author:
  FracPete (fracpete at waikato dot ac dot nz)
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`RegressionGenerator()`
initializes the generator with default values

## Method Summary

Modifier and Type
Method
Description
`int`
`getNumExamples()`
Gets the number of examples, given by option.
`String[]`
`getOptions()`
Gets the current settings of the classifier.
`Enumeration`
`listOptions()`
Returns an enumeration describing the available options.
`String`
`numExamplesTipText()`
Returns the tip text for this property
`void`
`setNumExamples(int numExamples)`
Sets the number of examples, given by option.
`void`
`setOptions(String[] options)`
Sets the options.

### Methods inherited from class weka.datagenerators.DataGenerator

`debugTipText, defaultOutput, defineDataFormat, formatTipText, generateExample, generateExamples, generateFinished, generateStart, getDatasetFormat, getDebug, getNumExamplesAct, getOutput, getRandom, getRelationName, getSeed, getSingleModeFlag, makeData, outputTipText, randomTipText, relationNameTipText, seedTipText, setDatasetFormat, setDebug, setOutput, setRandom, setRelationName, setSeed`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface weka.core.RevisionHandler

`getRevision`

## Constructor Details

### RegressionGenerator

public RegressionGenerator()
initializes the generator with default values

## Method Details

### listOptions

public Enumeration listOptions()
Returns an enumeration describing the available options.

Specified by:
  `listOptions` in interface `OptionHandler`
Overrides:
  `listOptions` in class `DataGenerator`
Returns:
  an enumeration of all the available options.

### setOptions

public void setOptions(String[] options) throws Exception
Sets the options.

Specified by:
  `setOptions` in interface `OptionHandler`
Overrides:
  `setOptions` in class `DataGenerator`
Parameters:
  `options` - the options
Throws:
  `Exception` - if invalid option

### getOptions

public String[] getOptions()
Gets the current settings of the classifier.

Specified by:
  `getOptions` in interface `OptionHandler`
Overrides:
  `getOptions` in class `DataGenerator`
Returns:
  an array of strings suitable for passing to setOptions
See Also:
  - `DataGenerator.removeBlacklist(String[])`

### setNumExamples

public void setNumExamples(int numExamples)
Sets the number of examples, given by option.

Parameters:
  `numExamples` - the new number of examples

### getNumExamples

public int getNumExamples()
Gets the number of examples, given by option.

Returns:
  the number of examples, given by option

### numExamplesTipText

public String numExamplesTipText()
Returns the tip text for this property

Returns:
  tip text for this property suitable for displaying in the explorer/experimenter gui